[PC-BSD Commits] r2620 - pcbsd/trunk/mfsroot-overlay/root
svn at pcbsd.org
svn at pcbsd.org
Tue Aug 19 18:24:22 PDT 2008
Author: kris
Date: 2008-08-19 18:24:22 -0700 (Tue, 19 Aug 2008)
New Revision: 2620
Modified:
pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh
Log:
Fixed the install startup script to get our kernel variable for ZFS
Modified: pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh 2008-08-20 01:22:37 UTC (rev 2619)
+++ pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh 2008-08-20 01:24:22 UTC (rev 2620)
@@ -45,7 +45,7 @@
# Check for VESA support
xvesa="NO"
-v=`kenv xvesa`
+v=`/bin/kenv xvesa`
if [ $? -eq 0 ]; then
xvesa=$v
fi
@@ -57,9 +57,13 @@
# Check if the user enabled ZFS support and do it
-/sbin/sysctl kern.module_path | /usr/bin/grep "ZFS" >/dev/null 2>/dev/null
-FOUND="$?"
-if [ "$FOUND" = "0" ]
+bootzfs="NO"
+v=`/bin/kenv bootzfs`
+if [ $? -eq 0 ]; then
+ bootzfs=$v
+fi
+
+if [ "$bootzfs" = "YES" ]
then
echo '
zfs_enable="YES"' >> /etc/rc.conf
More information about the Commits
mailing list